datafield.hh File Reference
`#include <vector>`
`#include <memory>`
`#include <mia/2d/defines2d.hh>`
`#include <mia/2d/vector.hh>`
`#include <mia/2d/iterator.hh>`
`#include <mia/core/parameter.hh>`
`#include <mia/core/attributes.hh>`
`#include <mia/core/typedescr.hh>`
`#include <miaconfig.h>`
Include dependency graph for 2d/datafield.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | T2DDatafield< T >::ConstRange
class | T2DDatafield< T >::Range
class | T2DDatafield< T >
| A class to hold data on a regular 2D grid. More...

## Macros

#define | DECLARE_EXTERN_ITERATORS(TYPE)
#define | EXPORT_2DDATAFIELD EXPORT_2D
| define used export 2D symbols

## Typedefs

typedef T2DDatafield< bool > | C2DBitDatafield
| 2D scalar field that holds bool values
typedef CTParameter< C2DBounds > | C2DBoundsParameter
| Parameter type for 2D size definitions.
typedef T2DDatafield< double > | C2DDDatafield
| 2D scalar field that holds double values
typedef T2DDatafield< float > | C2DFDatafield
| 2D scalar field that holds float values
typedef CTParameter< C2DFVector > | C2DFVectorParameter
| Parameter type for 2D vector.
typedef TTranslator< C2DFVector > | C2DFVectorTranslator
| typedef for the C2DFVector to std::string translator
typedef T2DDatafield< int8_t > | C2DSBDatafield
| 2D scalar field that holds signed char values
typedef T2DDatafield< int32_t > | C2DSIDatafield
| 2D scalar field that holds signed int values
typedef T2DDatafield< int64_t > | C2DSLDatafield
| long instanziation of a 2D data field
typedef T2DDatafield< int16_t > | C2DSSDatafield
| 2D scalar field that holds signed short values
typedef T2DDatafield< uint8_t > | C2DUBDatafield
| 2D scalar field that holds unsigned char (=byte) values
typedef T2DDatafield< uint32_t > | C2DUIDatafield
| 2D scalar field that holds unsigned int values
typedef T2DDatafield< uint64_t > | C2DULDatafield
typedef T2DDatafield< uint16_t > | C2DUSDatafield
| 2D scalar field that holds unsigned short values

## Functions

| DECLARE_EXTERN_ITERATORS (bool)
| DECLARE_EXTERN_ITERATORS (double)
| DECLARE_EXTERN_ITERATORS (float)
| DECLARE_EXTERN_ITERATORS (int16_t)
| DECLARE_EXTERN_ITERATORS (int32_t)
| DECLARE_EXTERN_ITERATORS (int64_t)
| DECLARE_EXTERN_ITERATORS (int8_t)
| DECLARE_EXTERN_ITERATORS (uint16_t)
| DECLARE_EXTERN_ITERATORS (uint32_t)
| DECLARE_EXTERN_ITERATORS (uint64_t)
| DECLARE_EXTERN_ITERATORS (uint8_t)

## Macro Definition Documentation

## DECLARE_EXTERN_ITERATORS

#define DECLARE_EXTERN_ITERATORS | ( |  | TYPE | ) |

Value:
extern template class EXPORT_2D range2d_iterator<std::vector<TYPE>::iterator>; \
extern template class EXPORT_2D range2d_iterator<std::vector<TYPE>::const_iterator>; \
extern template class EXPORT_2D range2d_iterator_with_boundary_flag<std::vector<TYPE>::iterator>; \
extern template class EXPORT_2D range2d_iterator_with_boundary_flag<std::vector<TYPE>::const_iterator>;
range2d_iterator_with_boundary_flag
a 2D iterator that knows its position in the 2D grid ans supports iterating over sub-ranges
Definition 2d/iterator.hh:43
range2d_iterator
Definition 2d/iterator.hh:216
EXPORT_2D
#define EXPORT_2D
Definition defines2d.hh:37

Definition at line 44 of file 2d/datafield.hh.

## EXPORT_2DDATAFIELD

#define EXPORT_2DDATAFIELD EXPORT_2D

define used export 2D symbols

Definition at line 39 of file 2d/datafield.hh.

## Typedef Documentation

## C2DBitDatafield

typedef T2DDatafield<bool> C2DBitDatafield

2D scalar field that holds bool values

Definition at line 415 of file 2d/datafield.hh.

## C2DBoundsParameter

typedef CTParameter<C2DBounds> C2DBoundsParameter

Parameter type for 2D size definitions.

Definition at line 418 of file 2d/datafield.hh.

## C2DDDatafield

typedef T2DDatafield<double> C2DDDatafield

2D scalar field that holds double values

Definition at line 386 of file 2d/datafield.hh.

## C2DFDatafield

typedef T2DDatafield<float> C2DFDatafield

2D scalar field that holds float values

Definition at line 389 of file 2d/datafield.hh.

## C2DFVectorParameter

typedef CTParameter<C2DFVector> C2DFVectorParameter

Parameter type for 2D vector.

Definition at line 421 of file 2d/datafield.hh.

## C2DFVectorTranslator

typedef TTranslator<C2DFVector> C2DFVectorTranslator

typedef for the C2DFVector to std::string translator

Definition at line 424 of file 2d/datafield.hh.

## C2DSBDatafield

typedef T2DDatafield<int8_t> C2DSBDatafield

2D scalar field that holds signed char values

Definition at line 412 of file 2d/datafield.hh.

## C2DSIDatafield

typedef T2DDatafield<int32_t> C2DSIDatafield

2D scalar field that holds signed int values

Definition at line 395 of file 2d/datafield.hh.

## C2DSLDatafield

typedef T2DDatafield<int64_t> C2DSLDatafield

long instanziation of a 2D data field

Definition at line 400 of file 2d/datafield.hh.

## C2DSSDatafield

typedef T2DDatafield<int16_t> C2DSSDatafield

2D scalar field that holds signed short values

Definition at line 406 of file 2d/datafield.hh.

## C2DUBDatafield

typedef T2DDatafield<uint8_t> C2DUBDatafield

2D scalar field that holds unsigned char (=byte) values

Definition at line 409 of file 2d/datafield.hh.

## C2DUIDatafield

typedef T2DDatafield<uint32_t> C2DUIDatafield

2D scalar field that holds unsigned int values

Definition at line 392 of file 2d/datafield.hh.

## C2DULDatafield

typedef T2DDatafield<uint64_t> C2DULDatafield

Definition at line 397 of file 2d/datafield.hh.

## C2DUSDatafield

typedef T2DDatafield<uint16_t> C2DUSDatafield

2D scalar field that holds unsigned short values

Definition at line 403 of file 2d/datafield.hh.

## Function Documentation

## DECLARE_EXTERN_ITERATORS() [1/11]

DECLARE_EXTERN_ITERATORS | ( | bool |  | ) |

## DECLARE_EXTERN_ITERATORS() [2/11]

DECLARE_EXTERN_ITERATORS | ( | double |  | ) |

## DECLARE_EXTERN_ITERATORS() [3/11]

DECLARE_EXTERN_ITERATORS | ( | float |  | ) |

## DECLARE_EXTERN_ITERATORS() [4/11]

DECLARE_EXTERN_ITERATORS | ( | int16_t |  | ) |

## DECLARE_EXTERN_ITERATORS() [5/11]

DECLARE_EXTERN_ITERATORS | ( | int32_t |  | ) |

## DECLARE_EXTERN_ITERATORS() [6/11]

DECLARE_EXTERN_ITERATORS | ( | int64_t |  | ) |

## DECLARE_EXTERN_ITERATORS() [7/11]

DECLARE_EXTERN_ITERATORS | ( | int8_t |  | ) |

## DECLARE_EXTERN_ITERATORS() [8/11]

DECLARE_EXTERN_ITERATORS | ( | uint16_t |  | ) |

## DECLARE_EXTERN_ITERATORS() [9/11]

DECLARE_EXTERN_ITERATORS | ( | uint32_t |  | ) |

## DECLARE_EXTERN_ITERATORS() [10/11]

DECLARE_EXTERN_ITERATORS | ( | uint64_t |  | ) |

## DECLARE_EXTERN_ITERATORS() [11/11]

DECLARE_EXTERN_ITERATORS | ( | uint8_t |  | ) |